Subject: Re: bug#1078: 23.0.60; font faces setting ignored by emacsclient run against --daemon

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 13 Oct 2008 06:30:45 -0700 (PDT)

Stefano Zacchiroli <[email-masked]> writes:

  > On Tue, Oct 07, 2008 at 08:08:31PM +0200, Romain Francoise wrote:
  > > I can't reproduce it here, neither with emacs-snapshot 20081005-1
  > > nor with CVS HEAD as of a few moments ago.
  > > 
  > > Zack, do you have any other settings in your init files which could
  > > be relevant?
  > 
  > My full Emacs configuration is attached (it is not that big actually),
  > have a look and let me know if you see anything weird I should comment
  > out before trying again.
  > 
  > All files other than ~/.emacs itself are stored in my ~/.emacs.d/ .

Normally we ask people to debug their own .emacs...
But only this time I took a quick look, and you have:
(setq viper-mode t)            ;; I'm an Emacs rebel!
(require 'viper)
which from what I remember wants to do some stuff interactively, so
please try to comment out that part and see if things work.  Just
guessing here...